; Most of this file is a direct translation of parts of oleacc.h from the MSAA SDK v2.0.
;
; Author:  Doug Lee

const
; Predefined state constants (possible bit flags in o.accState(childId))
	STATE_SYSTEM_NORMAL = 0x0L,
	STATE_SYSTEM_UNAVAILABLE = 0x00000001L,
	STATE_SYSTEM_SELECTED = 0x00000002L,
	STATE_SYSTEM_FOCUSED = 0x00000004L,
	STATE_SYSTEM_PRESSED = 0x00000008L,
	STATE_SYSTEM_CHECKED = 0x00000010L,
	STATE_SYSTEM_MIXED = 0x00000020L,
	STATE_SYSTEM_INDETERMINATE = 0x00000020L,
	STATE_SYSTEM_READONLY = 0x00000040L,
	STATE_SYSTEM_HOTTRACKED = 0x00000080L,
	STATE_SYSTEM_DEFAULT = 0x00000100L,
	STATE_SYSTEM_EXPANDED = 0x00000200L,
	STATE_SYSTEM_COLLAPSED = 0x00000400L,
	STATE_SYSTEM_BUSY = 0x00000800L,
	STATE_SYSTEM_FLOATING = 0x00001000L,     ; not supported as of MSAA 2.0
	STATE_SYSTEM_MARQUEED = 0x00002000L,
	STATE_SYSTEM_ANIMATED = 0x00004000L,
	STATE_SYSTEM_INVISIBLE = 0x00008000L,
	STATE_SYSTEM_OFFSCREEN = 0x00010000L,
	STATE_SYSTEM_SIZEABLE = 0x00020000L,
	STATE_SYSTEM_MOVEABLE = 0x00040000L,
	STATE_SYSTEM_SELFVOICING = 0x00080000L,
	STATE_SYSTEM_FOCUSABLE = 0x00100000L,
	STATE_SYSTEM_SELECTABLE = 0x00200000L,
	STATE_SYSTEM_LINKED = 0x00400000L,
	STATE_SYSTEM_TRAVERSED = 0x00800000L,
	STATE_SYSTEM_MULTISELECTABLE = 0x01000000L,
	STATE_SYSTEM_EXTSELECTABLE = 0x02000000L,
	STATE_SYSTEM_ALERT_LOW = 0x04000000L,    ; not supported as of MSAA 2.0
	STATE_SYSTEM_ALERT_MEDIUM = 0x08000000L, ; not supported as of MSAA 2.0
	STATE_SYSTEM_ALERT_HIGH = 0x10000000L,   ; not supported as of MSAA 2.0
	STATE_SYSTEM_PROTECTED = 0x20000000L,
	STATE_SYSTEM_VALID = 0x3fffffffL,
	STATE_SYSTEM_HASPOPUP = 0x40000000L,     ; new as of MSAA 2.0
; Predefined role constants (possible values of o.accRole(childId))
	ROLE_SYSTEM_TITLEBAR = 0x1L,
	ROLE_SYSTEM_MENUBAR = 0x2L,
	ROLE_SYSTEM_SCROLLBAR = 0x3L,
	ROLE_SYSTEM_GRIP = 0x4L,
	ROLE_SYSTEM_SOUND = 0x5L,
	ROLE_SYSTEM_CURSOR = 0x6L,
	ROLE_SYSTEM_CARET = 0x7L,
	ROLE_SYSTEM_ALERT = 0x8L,
	ROLE_SYSTEM_WINDOW = 0x9L,
	ROLE_SYSTEM_CLIENT = 0xaL,
	ROLE_SYSTEM_MENUPOPUP = 0xbL,
	ROLE_SYSTEM_MENUITEM = 0xcL,
	ROLE_SYSTEM_TOOLTIP = 0xdL,
	ROLE_SYSTEM_APPLICATION = 0xeL,
	ROLE_SYSTEM_DOCUMENT = 0xfL,
	ROLE_SYSTEM_PANE = 0x10L,
	ROLE_SYSTEM_CHART = 0x11L,
	ROLE_SYSTEM_DIALOG = 0x12L,
	ROLE_SYSTEM_BORDER = 0x13L,
	ROLE_SYSTEM_GROUPING = 0x14L,
	ROLE_SYSTEM_SEPARATOR = 0x15L,
	ROLE_SYSTEM_TOOLBAR = 0x16L,
	ROLE_SYSTEM_STATUSBAR = 0x17L,
	ROLE_SYSTEM_TABLE = 0x18L,
	ROLE_SYSTEM_COLUMNHEADER = 0x19L,
	ROLE_SYSTEM_ROWHEADER = 0x1aL,
	ROLE_SYSTEM_COLUMN = 0x1bL,
	ROLE_SYSTEM_ROW = 0x1cL,
	ROLE_SYSTEM_CELL = 0x1dL,
	ROLE_SYSTEM_LINK = 0x1eL,
	ROLE_SYSTEM_HELPBALLOON = 0x1fL,
	ROLE_SYSTEM_CHARACTER = 0x20L,
	ROLE_SYSTEM_LIST = 0x21L,
	ROLE_SYSTEM_LISTITEM = 0x22L,
	ROLE_SYSTEM_OUTLINE = 0x23L,
	ROLE_SYSTEM_OUTLINEITEM = 0x24L,
	ROLE_SYSTEM_PAGETAB = 0x25L,
	ROLE_SYSTEM_PROPERTYPAGE = 0x26L,
	ROLE_SYSTEM_INDICATOR = 0x27L,
	ROLE_SYSTEM_GRAPHIC = 0x28L,
	ROLE_SYSTEM_STATICTEXT = 0x29L,
	ROLE_SYSTEM_TEXT = 0x2aL,
	ROLE_SYSTEM_PUSHBUTTON = 0x2bL,
	ROLE_SYSTEM_CHECKBUTTON = 0x2cL,
	ROLE_SYSTEM_RADIOBUTTON = 0x2dL,
	ROLE_SYSTEM_COMBOBOX = 0x2eL,
	ROLE_SYSTEM_DROPLIST = 0x2fL,
	ROLE_SYSTEM_PROGRESSBAR = 0x30L,
	ROLE_SYSTEM_DIAL = 0x31L,
	ROLE_SYSTEM_HOTKEYFIELD = 0x32L,
	ROLE_SYSTEM_SLIDER = 0x33L,
	ROLE_SYSTEM_SPINBUTTON = 0x34L,
	ROLE_SYSTEM_DIAGRAM = 0x35L,
	ROLE_SYSTEM_ANIMATION = 0x36L,
	ROLE_SYSTEM_EQUATION = 0x37L,
	ROLE_SYSTEM_BUTTONDROPDOWN = 0x38L,
	ROLE_SYSTEM_BUTTONMENU = 0x39L,
	ROLE_SYSTEM_BUTTONDROPDOWNGRID = 0x3aL,
	ROLE_SYSTEM_WHITESPACE = 0x3bL,
	ROLE_SYSTEM_PAGETABLIST = 0x3cL,
	ROLE_SYSTEM_CLOCK = 0x3dL,
	; new as of MSAA 2.0
 ROLE_SYSTEM_SPLITBUTTON	= 0x3eL,
 ROLE_SYSTEM_IPADDRESS	= 0x3fL,
 ROLE_SYSTEM_OUTLINEBUTTON	= 0x40L,
; Selection constants (possible bit flags for o.accSelect())
	SELFLAG_NONE = 0x0L,
	SELFLAG_TAKEFOCUS = 0x1L,
	SELFLAG_TAKESELECTION = 0x2L,
	SELFLAG_EXTENDSELECTION = 0x4L,
	SELFLAG_ADDSELECTION = 0x8L,
	SELFLAG_REMOVESELECTION = 0x10L,
	SELFLAG_VALID = 0x1fL,
; Object identifiers for AccessibleObjectFromWindow
; These come from WinAble.h
	OBJID_WINDOW = 0x00000000L,
	OBJID_SYSMENU = 0xFFFFFFFFL,
	OBJID_TITLEBAR = 0xFFFFFFFEL,
	OBJID_MENU = 0xFFFFFFFDL,
	OBJID_CLIENT = 0xFFFFFFFCL,
	OBJID_VSCROLL = 0xFFFFFFFBL,
	OBJID_HSCROLL = 0xFFFFFFFAL,
	OBJID_SIZEGRIP = 0xFFFFFFF9L,
	OBJID_CARET = 0xFFFFFFF8L,
	OBJID_CURSOR = 0xFFFFFFF7L,
	OBJID_ALERT = 0xFFFFFFF6L,
	OBJID_SOUND = 0xFFFFFFF5L,
	OBJID_QUERYCLASSNAMEIDX = 0xFFFFFFF4L,
	OBJID_NATIVEOM = 0xFFFFFFF0L,
; Navigation direction constants for accNavigate
	NavDir_Up = 1,
	NavDir_Down = 2,
	NavDir_Left = 3,
	NavDir_Right = 4,
	NavDir_Next = 5,
	NavDir_Previous = 6,
	NavDir_FirstChild = 7,
	NavDir_LastChild = 8,
; Miscellaneous constants
	CHILDID_SELF = 0,  ; use for child ID when you want to refer to an object itself, not a child element (from winable.h)
	JAWS_State_Mask = 0x20C06E7BL   ; State flags JAWS usually speaks
